/**
*Programme cree par The Clusters
*Classe des donnees du jeu "Chkoba"
*@author The Clusters
*@version 1.0
**/

package chkoba;

import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import javax.swing.*;
import chkoba.*;

/**
*	Classe DonneePartie
*/

public class DonneePartie extends JPanel
{
	private JTextField chko,carreaux, sept,carte;
	private Color c;
	
	/**
	*Constructeur  creant les donnees de la partie courante en les initialisant a zero
	*/
	public DonneePartie()
	{
		setLayout(new GridLayout(4,2));
		setOpaque(true);
		setBackground(c);
		c = new Color(0,200,0);
		
		JLabel nbChkoba = new JLabel("<html>Point<br/>Chkoba</html>");
		nbChkoba.setPreferredSize(new Dimension(10,10));
		nbChkoba.setBackground(c);
		add(nbChkoba);
		
		chko= new JTextField("0");
		chko.setEditable(false);
		chko.setPreferredSize(new Dimension(10,10));
		add(chko);

		
		JLabel nbCarreaux = new JLabel("Carreaux");
		nbCarreaux.setPreferredSize(new Dimension(10,10));
		nbCarreaux.setOpaque(true);
		nbCarreaux.setBackground(c);
		add(nbCarreaux);
		
		carreaux= new JTextField("0");
		carreaux.setEditable(false);
		carreaux.setPreferredSize(new Dimension(10,10));
		add(carreaux);
		
		JLabel nbSept = new JLabel("Les 7");
		nbSept.setPreferredSize(new Dimension(10,10));
		nbSept.setOpaque(true);
		nbSept.setBackground(c);
		add(nbSept);
		
		sept= new JTextField("0");
		sept.setEditable(false);
		sept.setPreferredSize(new Dimension(10,10));
		add(sept);
		
		JLabel nbCarte = new JLabel("Cartes");
		nbCarte.setPreferredSize(new Dimension(10,10));
		nbCarte.setOpaque(true);
		nbCarte.setBackground(c);
		add(nbCarte);
		
		carte= new JTextField("0");
		carte.setEditable(false);
		carte.setPreferredSize(new Dimension(10,10));
		add(carte);
	}
	
	/**
	*Methode permettant de modifier le nombre de sept
	*/
	public void setSept(int i)
	{
		sept.setText(""+i);
	}
	
	/**
	*Methode permettant de modifier le nombre de carreaux
	*/
	public void setCarreaux(int i)
	{
		carreaux.setText(""+i);
	}
	
	/**
	*Methode permettant de modifier le nombre de point Chkoba
	*/
	public void setChkoba(int i)
	{
		chko.setText(""+i);
	}
	
	/**
	*Methode permettant de modifier le nombre de carte
	*/
	public void setCarte(int i)
	{
		carte.setText(""+i);
	}
}